Bug 109094 - [BlackBerry] Set mouse document position for mouse event in updateCursor
Summary: [BlackBerry] Set mouse document position for mouse event in updateCursor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-06 14:04 PST by Tiancheng Jiang
Modified: 2013-03-26 14:31 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.92 KB, patch)
2013-02-08 07:51 PST, Tiancheng Jiang
no flags Details | Formatted Diff | Diff
Patch (4.57 KB, patch)
2013-02-11 09:37 PST, Tiancheng Jiang
no flags Details | Formatted Diff | Diff
Patch (2.01 KB, patch)
2013-03-26 13:36 PDT, Tiancheng Jiang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tiancheng Jiang 2013-02-06 14:04:47 PST
When we create the mouse event, we should set documentPosition as well.
Comment 1 Tiancheng Jiang 2013-02-08 07:51:44 PST
Created attachment 187320 [details]
Patch
Comment 2 Rob Buis 2013-02-08 10:50:04 PST
Comment on attachment 187320 [details]
Patch

LGTM.
Comment 3 WebKit Review Bot 2013-02-09 09:56:19 PST
Comment on attachment 187320 [details]
Patch

Clearing flags on attachment: 187320

Committed r142364: <http://trac.webkit.org/changeset/142364>
Comment 4 WebKit Review Bot 2013-02-09 09:56:22 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Tiancheng Jiang 2013-02-11 09:37:48 PST
Reopening to attach new patch.
Comment 6 Tiancheng Jiang 2013-02-11 09:37:50 PST
Created attachment 187600 [details]
Patch
Comment 7 Rob Buis 2013-02-11 10:02:53 PST
Comment on attachment 187600 [details]
Patch

LGTM.
Comment 8 WebKit Review Bot 2013-02-11 10:13:10 PST
Comment on attachment 187600 [details]
Patch

Clearing flags on attachment: 187600

Committed r142487: <http://trac.webkit.org/changeset/142487>
Comment 9 WebKit Review Bot 2013-02-11 10:13:14 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Tiancheng Jiang 2013-03-26 13:36:31 PDT
Reopening to attach new patch.
Comment 11 Tiancheng Jiang 2013-03-26 13:36:33 PDT
Created attachment 195154 [details]
Patch
Comment 12 Rob Buis 2013-03-26 13:37:58 PDT
Comment on attachment 195154 [details]
Patch

Ok.
Comment 13 WebKit Review Bot 2013-03-26 14:31:56 PDT
Comment on attachment 195154 [details]
Patch

Clearing flags on attachment: 195154

Committed r146930: <http://trac.webkit.org/changeset/146930>
Comment 14 WebKit Review Bot 2013-03-26 14:31:59 PDT
All reviewed patches have been landed.  Closing bug.